<?php
  /*
   Kchenbetreuer:
   E-Mail-Adresse fr Kopie
   Telefonnr fr Rckfragen:
   Abholung am:
   Abholung um Uhrzeit:

   - Ordersatz auswhlen || neuen Ordersatz erstellen || Ordersatz kopieren
   - Ordersatz abschlieen = PDF-Datei erzeugen, archivieren, per Mail, per Fax
   */


$href = "new Rico.TableColumn.link('./?mask=metro__ordersatz_pos&id={0}')";

# INSERT INTO metro_ordersatz_pos (ordersatz,artikel,sys_user,sys_edit) SELECT ORDERID,id,'joey',now() FROM metro_artikel;
# DELETE FROM metro_ordersatz_pos WHERE ordersatz = ORDERID AND anzahl IS NULL
$mask = array(
	      'table' => 'metro_ordersatz',
	      'title' => 'Ordersatz auswählen / erstellen',
	      'where' => sprintf('owner = %d AND done IS NOT NULL', $_SESSION['sys']['uid']),
	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'visible' => false,
					    ),
			      'erstellt' => array(
					    'name' => 'Erstellt',
					    'width' => 85,
					    ),
			      'name' => array(
					    'name' => 'Name',
					    'width' => 290,
					    'specs' => "filterUI: 't'",
					    ),
			      'koch' => array(
					    'name' => 'Kochbetreuer',
					    'width' => 100,
					    'specs' => "filterUI: 't'",
					    'visible' => false,
					    ),
			      'done' => array(
					    'name' => 'Abgeschlossen',
					    'width' => 90,
					    ),
			      'datum' => array(
					    'name' => 'Einkauf am',
					    'width' => 130,
					    'sql' => "datum || ' ' || uhrzeit || ' Uhr'",
					    ),
			      'link' => array(
					    'name' => 'Aktion',
					    'width' => 90,
					    'control' => $href,
					    'specs' => "ClassName: 'aligncenter'",
					    'sql' => "'anzeigen'",
					    ),
			      ),
	      'edit' => array(
			      'owner' => array(
					    'type' => 'hidden',
					    'default' => $_SESSION['sys']['uid'],
					    'required' => true,
					    ),
			      'erstellt' => array(
					    'type' => 'hidden',
					    'subtype' => 'string',
					    'default' => date('Y-m-d'),
					    'required' => true,
					    ),
			      'name' => array(
					    'name' => 'Name',
					    'type' => 'text',
					    'size' => 21,
					    'required' => true,
					    ),
			      'koch' => array(
					    'name' => 'Kochbetreuer',
					    'type' => 'text',
					    'size' => 21,
					    'required' => true,
					    ),
			      'email' => array(
					    'name' => 'E-Mail',
					    'type' => 'text',
					    'size' => 21,
					    'null' => true,
					    ),
			      'telefon' => array(
					    'name' => 'Telefon für Rückfragen',
					    'type' => 'text',
					    'size' => 21,
					    'required' => true,
					    ),
			      'datum' => array(
					    'name' => 'Abholdatum',
					    'type' => 'date',
					    'size' => 8,
					    'required' => true,
					    ),
			      'uhrzeit' => array(
					    'name' => 'Ungefähre Uhrzeit der Abholung',
					    'type' => 'text',
					    'size' => 3,
					    'required' => true,
					    ),
			      ),
	      'buttons' => array('delete' => false),
	      'postinsert' => ordersatz_insert,
	      );

function ordersatz_insert($id)
{
  global $db;

  $sql = sprintf("INSERT INTO metro_ordersatz_pos (ordersatz,artikel,sys_user,sys_edit) SELECT %d,id,%s,now() FROM metro_artikel",
		 $id, $db->quote($_SESSION['sys']['login']));

  $sth = $db->query($sql);
}

?>
